assert( Necronomicon, "Necronomicon not found!")

----------------------------------
--        Are you local?        --
----------------------------------

local L = AceLibrary("AceLocale-2.2"):new("Necronomicon")
local impicon

local spells = {
	[688] = true, -- ["Summon Imp"] = true,
	[697] = true, -- ["Summon Voildwalker"] = true,
	[712] = true, -- ["Summon Succubus"] = true,
	[691] = true, -- ["Summon Felhunter"] = true,
	[30146] = true, -- ["Summon Felguard"] = true,
	[1098] = true, -- ["Enslave Demon"] = true,
	[18708] = true, -- ["Fel Domination"] = true,
	[18788] = true, -- ["Demonic Sacrifice"] = true,
	[19028] = true, -- ["Soul Link"] = true,
	[1122] = true, -- ["Inferno"] = true,
	[18540] = true, -- ["Ritual of Doom"] = true,
}

----------------------------------
--      Module Declaration      --
----------------------------------

NecronomiconMinion = Necronomicon:NewModule("Minion")

NecronomiconMinion.revision = tonumber(string.sub("$Revision: 75659 $", 12, -3))

NecronomiconMinion.defaults = {
	posx = 200,
	posy = 264,
}

----------------------------------
--     Module Intialization     --
----------------------------------

function NecronomiconMinion:OnRegister()
	for k, v in pairs(spells) do
		self:RegisterSpell(k)
	end
	local _
	_, _, impicon = GetSpellInfo(688)
end

function NecronomiconMinion:OnEnable()
	self:SetupButton()
	self:RegisterEvent("Necronomicon_SpellsUpdated")
	self:Necronomicon_SpellsUpdated()
end

----------------------------------
--        Event Handlers        --
----------------------------------

function NecronomiconMinion:Necronomicon_SpellsUpdated()
end


----------------------------------
--         GUI Functions        --
----------------------------------

function NecronomiconMinion:SetupButton()
	self:CreateButton("header")

	self.button.background:SetTexture( impicon )
end
